RHEL 8:kernel-rt(RHSA-2019:3309)

critical Nessus プラグイン ID 130526
New! プラグインの深刻度には CVSS v3 が適用されるようになりました。

プラグインの深刻度は、デフォルトで CVSS v3 を使って計算されるように更新されました。プラグインに CVSS v3 スコアがない場合には、CVSS v2 を使って深刻度が計算されます。深刻度の表示設定は、[設定]のドロップダウンで切り替えができます。

概要

リモートのRed Hatホストに1つ以上のセキュリティ更新プログラムがありません。

説明

kernel-rtの更新プログラムがRed Hat Enterprise Linux 8で利用可能になりました。Red Hat製品セキュリティは、この更新がセキュリティに及ぼす影響の重要度を重要と評価しています。詳細な重大度評価を示すCVSS(共通脆弱性評価システム)ベーススコアは、「参照」セクションのCVEリンクから脆弱性ごとに入手できます。kernel-rtパッケージは、リアルタイムLinuxカーネルを提供します。これにより、適切に設定することが要求されるシステムの微調整が可能になります。セキュリティ修正プログラム:* カーネル:nfs:svc_process_common()におけるメモリ解放後使用(Use After Free)(CVE-2018-16884)* カーネル:vhost_net:パケット受信中の無限ループによりDoSが発生(CVE-2019-3900)*カーネル:ページのキャッシュサイドチャネル攻撃(CVE-2019-5489)* hardware:bluetooth:BR/EDR暗号鍵ネゴシエーション攻撃(KNOB)(CVE-2019-9506)*カーネル:drivers/net /wireless/marvell/mwifiex/ie.cのmwifiex_uap_parse_tail_ies function関数におけるヒープオーバーフロー(CVE-2019-10126)*カーネル:KVM:mmioリングバッファ経由のOOBメモリアクセス(CVE-2019-14821)*カーネル:crypto/crypto_user.cのcrypto_report_oneの情報漏えい(CVE-2018-19854)*カーネル:usb:DoSを引き起こす__usb_get_extra_descriptor()でのサイズチェックの欠落(CVE-2018-20169)* カーネル:L2CAP_GET_CONF_OPTの使用中のヒープアドレスの情報漏えい(CVE-2019-3459)* カーネル:L2CAP_PARSE_CONF_RSPの使用中のヒープアドレスの情報漏えい(CVE-2019-3460)* カーネル:サービス拒否につながるSCTPソケットバッファメモリリーク(CVE-2019-3874)* カーネル:vfio DMAマッピングによるサービス拒否ベクトル(CVE-2019-3882)* カーネル:hci_uart_set_flow_controlでのNULLポインターデリファレンス(CVE-2019-10207)* カーネル:mmget_not_zero()/get_task_mm()とコアダンプ間の競合状態を修正(CVE-2019-11599)* カーネル:fs/ext4/extents.cにより情報漏えいが発生(CVE- 2019-11833)* カーネル:HIDPCONNADDコマンドを介したカーネルスタックメモリからの情報漏えい(CVE-2019-11884)* カーネル:arch/x86/lib/insn-eval.cのメモリ解放後使用(use-after-free)(CVE-2019-13233)* カーネル:net/core/net-sysfs.cのregister_queue_kobjects()でのメモリ漏えいがサービス拒否につながる(CVE-2019-15916)* カーネル:drivers/net/usb/hso.cのhso_probeでのoobメモリの読み取り(CVE-2018-19985)* カーネル:KVM:初期化されていないスタックコンテンツのゲストへの漏えい(CVE-2019-7222)* カーネル:net:弱いIP ID生成がリモートデバイスのトラッキングにつながる(CVE-2019-10638)影響、CVSSスコア、謝辞、その他の関連情報を含むセキュリティ問題の詳細については、「参照」セクションに記載されているCVEのページを参照してください。追加の変更:このリリースの変更に関する詳細については、「参照」セクションからリンクされているRed Hat Enterprise Linux 8.1リリースノートを参照してください。

ソリューション

影響を受けるパッケージを更新してください。

関連情報

http://www.nessus.org/u?774148ae

https://access.redhat.com/errata/RHSA-2019:3309

https://access.redhat.com/security/cve/cve-2018-16884

https://access.redhat.com/security/cve/cve-2018-19854

https://access.redhat.com/security/cve/cve-2018-19985

https://access.redhat.com/security/cve/cve-2018-20169

https://access.redhat.com/security/cve/cve-2019-3459

https://access.redhat.com/security/cve/cve-2019-3460

https://access.redhat.com/security/cve/cve-2019-3874

https://access.redhat.com/security/cve/cve-2019-3882

https://access.redhat.com/security/cve/cve-2019-3900

https://access.redhat.com/security/cve/cve-2019-5489

https://access.redhat.com/security/cve/cve-2019-7222

https://access.redhat.com/security/cve/cve-2019-9506

https://access.redhat.com/security/cve/cve-2019-10126

https://access.redhat.com/security/cve/cve-2019-10207

https://access.redhat.com/security/cve/cve-2019-10638

https://access.redhat.com/security/cve/cve-2019-11599

https://access.redhat.com/security/cve/cve-2019-11833

https://access.redhat.com/security/cve/cve-2019-11884

https://access.redhat.com/security/cve/cve-2019-13233

https://access.redhat.com/security/cve/cve-2019-14821

https://access.redhat.com/security/cve/cve-2019-15666

https://access.redhat.com/security/cve/cve-2019-15916

https://access.redhat.com/security/cve/cve-2019-15921

https://access.redhat.com/security/cve/cve-2019-15924

https://access.redhat.com/security/cve/cve-2019-16994

プラグインの詳細

深刻度: Critical

ID: 130526

ファイル名: redhat-RHSA-2019-3309.nasl

バージョン: 1.6

タイプ: local

エージェント: unix

公開日: 2019/11/6

更新日: 2020/5/7

依存関係: ssh_get_info.nasl, linux_alt_patch_detect.nasl

リスク情報

CVSS スコアのソース: CVE-2019-10126

VPR

リスクファクター: High

スコア: 7.3

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 6.5

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:H/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 9.4

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:H/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:redhat:enterprise_linux:kernel-rt, p-cpe:/a:redhat:enterprise_linux:kernel-rt-core, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug-core, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug-debuginfo, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug-devel, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug-kvm, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug-kvm-debuginfo, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug-modules, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debug-modules-extra, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debuginfo, p-cpe:/a:redhat:enterprise_linux:kernel-rt-debuginfo-common-x86_64, p-cpe:/a:redhat:enterprise_linux:kernel-rt-devel, p-cpe:/a:redhat:enterprise_linux:kernel-rt-kvm, p-cpe:/a:redhat:enterprise_linux:kernel-rt-kvm-debuginfo, p-cpe:/a:redhat:enterprise_linux:kernel-rt-modules, p-cpe:/a:redhat:enterprise_linux:kernel-rt-modules-extra, cpe:/o:redhat:enterprise_linux:8

必要な KB アイテム: Host/local_checks_enabled, Host/RedHat/release, Host/RedHat/rpm-list, Host/cpu

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2019/11/5

脆弱性公開日: 2018/12/4

参照情報

CVE: CVE-2018-16884, CVE-2018-19854, CVE-2018-19985, CVE-2018-20169, CVE-2019-10126, CVE-2019-10207, CVE-2019-10638, CVE-2019-11599, CVE-2019-11833, CVE-2019-11884, CVE-2019-13233, CVE-2019-14821, CVE-2019-15666, CVE-2019-15916, CVE-2019-15921, CVE-2019-15924, CVE-2019-16994, CVE-2019-3459, CVE-2019-3460, CVE-2019-3874, CVE-2019-3882, CVE-2019-3900, CVE-2019-5489, CVE-2019-7222, CVE-2019-9506

RHSA: 2019:3309